#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-AOKTdr7dUo5E6gpExUmSTV
key:                  ghcide-2.0.0.0-AOKTdr7dUo5E6gpExUmSTV
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  81ba4813cf9ac0cafeff6dde653ad715
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-AOKTdr7dUo5E6gpExUmSTV
depends:
    Diff-0.4.1-94wHByfojTDaWJlRbLpnx Glob-0.10.2-EuwNl6auLfF2yBtICGqk0s
    aeson-2.1.2.1-LDBL5bcX1HC79scYyh3opi
    aeson-pretty-0.8.10-EmnmwX6oqUJE4ELkQEWzze array-0.5.4.0
    async-2.2.5-Bvi1zpNsskKJCX9LRr76t3 base-4.17.2.1
    base16-bytestring-1.0.2.0-C9exZvUOGWa30bfvxY0rP6 binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-3jbMOlKTiDn4NCqaBZ47Ne
    co-log-core-0.3.2.5-Djb1wO4jHuy9uKuFwZyOcU containers-0.6.7
    cryptohash-sha1-0.11.101.0-Kq9u4tVWYcCDCyoIFj21Fp
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-HIrrI5AxKaR9lFRKbg6BjV
    dependent-sum-0.7.2.0-GOZmQ290gxVAsCNECssN9z directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-UazHnQhTpnIpnUHIRt2uA exceptions-0.10.5
    extra-1.7.16-Iwhcaoy60Zm2QUSRc5Mtdd filepath-1.4.2.2
    fingertree-0.1.5.0-JJ7YgqPdvGQ1ClzIYoBO7J
    focus-1.0.3.2-LcF4wgd70Kh8XAXXxn9tc3 ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-1rl6VCp3jDD1pL09pGiXTc
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-7TolWjYwYYIGQ1cSRog02t
    hashable-1.4.4.0-5O85VrI4oZ4EDBPYdTgwgk
    hie-bios-0.12.0-FSSWQjX013r7oM0m1MwO3z
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-6ZNofNO30GR6Sv7Wh7YTVN
    hls-graph-2.0.0.0-BGpiuUBrZCwCsk1CEbbWzd
    hls-plugin-api-2.0.0.0-iaubCJYxPJACQ6RJA0OFe
    implicit-hie-0.1.2.7-FMmNd5Q0qaqAqeknuRpFvs
    implicit-hie-cradle-0.5.0.1-4hkYfctwViQ3rZxL5sKtpN
    lens-5.2.3-CV81uxSR0PiAcO8XtynZEb
    list-t-1.0.5.5-Ej5mOZ3RxC0KIVvVFeGZWx
    lsp-1.6.0.0-KkAghWQ0BKUEqGKLNhvLs1
    lsp-types-1.6.0.1-lp9XMZ3AUG4Fzvl6ZAnY2 mtl-2.2.2
    opentelemetry-0.8.0-FtjO0aXBlU8JiMaJnvSzG0
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-BaAmjemZ9A8Bwhfteg2YYF
    prettyprinter-ansi-terminal-1.1.3-3UaEd28yvERuzLBWT3ZVt
    random-1.2.1.2-22OpplVYpUz38cGfsZmdPY
    regex-tdfa-1.3.2.4-4spaPYpacr92ooLlQb3epN
    safe-exceptions-0.1.7.4-9LcGMfMqJ04DZxvpKtRT4V
    sorted-list-0.2.3.1-B2bb8dggbI9ASZLAhsFYDx
    sqlite-simple-0.4.19.0-IsjIyDzXmnq8nuqc0X6gS1 stm-2.5.1.0
    stm-containers-1.2.1.1-Bt70s4wAEUd9ouArJfN1AN
    syb-0.7.2.4-7bSc04XXCdy5oWDf8UOHZs text-2.0.2
    text-rope-0.3-7A8zFIQiYWi9e9cHtKo4j0 time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-vpTZzYd6tBQ0TaDZjKjs
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-2kG5VEC3Gy42AwINT9WJ9w
    vector-0.13.1.0-Dc65CzydytHE52tdajtbOv

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

